ArNetworking: ArHybridForwarderVideo Class Reference

- Main Page
- Classes
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArHybridForwarderVideo Class Reference

`#include <ArHybridForwarderVideo.h>`

Inheritance diagram for ArHybridForwarderVideo:

List of all members.

## Detailed Description

This class takes video another source and serves it back up.

## Public Member Functions
virtual void | addToCameraCollection (ArCameraCollection &collection)
| Adds this item to the given camera collection.
| ArHybridForwarderVideo (ArServerBase *server, const char *hostname="localhost", int port=7070)
| Constructor that just takes a host and port and makes its own client.
| ArHybridForwarderVideo (ArServerBase *server, ArClientBase *client)
| Constructor that takes a client.
void | clientCycleCallback (void)
| Our callback that requests more video.
virtual const char * | getCameraName ()
| Returns the name of the camera handled by this item.
bool | isForwardingVideo (void) const
| Returns if we're forwarding video or not.
void | receiveVideo (ArNetPacket *packet)
| Receives the video (and sets a timer to wait a bit and get it again).
void | receiveVideoSize (ArNetPacket *packet)
| Receives the video size (just gets this once).
void | sendVideo (ArServerClient *client, ArNetPacket *packet)
| Sends the last received video.
void | sendVideoSize (ArServerClient *client, ArNetPacket *packet)
| Sends the last received video size (just gets this once).
virtual void | setCameraName (const char *cameraName)
| Sets the name of the camera handled by this item.
int | setVideoRequestTime (void) const
| Gets how often after getting video we ask for it again.
void | setVideoRequestTime (int ms)
| Sets how often after getting video we ask for it again.
virtual | ~ArHybridForwarderVideo ()
| Destructor.
## Protected Member Functions
void | finishConstructor (void)
## Protected Attributes
std::string | myCameraName
ArClientBase * | myClient
ArFunctorC< ArHybridForwarderVideo > * | myClientCycleCB
bool | myForwardingVideo
bool | myIsSendVideoAvailable
ArTime | myLastReceivedVideo
ArTime | myLastReqSent
ArMutex | myMutex
ArNetPacket | myReceivedVideo
ArNetPacket | myReceivedVideoSize
ArFunctor1C< ArHybridForwarderVideo, ArNetPacket * > * | myReceiveVideoCB
ArFunctor1C< ArHybridForwarderVideo, ArNetPacket * > * | myReceiveVideoSizeCB
bool | myReqSent
ArNetPacket | mySendVideoArgument
ArFunctor2C< ArHybridForwarderVideo, ArServerClient *, ArNetPacket * > * | mySendVideoCB
ArFunctor2C< ArHybridForwarderVideo, ArServerClient *, ArNetPacket * > * | mySendVideoSizeCB
ArServerBase * | myServer
int | myVideoRequestTime

## Member Function Documentation

virtual void ArHybridForwarderVideo::setCameraName | ( | const char * | cameraName | ) | `[virtual]`

Sets the name of the camera handled by this item.

This method must be called before addToCameraCollection().

The documentation for this class was generated from the following file:

- ArHybridForwarderVideo.h